Name:             ktechlab
Version:          0.3.70
Release:          3.20090304svn%{?dist}
# revision checkout 238

Summary:          Development and simulation of microcontrollers and electronic circuits

License:          GPLv2
Group:            Applications/Engineering

URL:              http://sourceforge.net/projects/ktechlab/
Source:           %{name}-0.3.7.tar.gz

Patch0:           ktechlab-0.3.6-multilib.patch
Patch1:           ktechlab-detect_gpsim.patch

BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:    gpsim-devel readline-devel kdelibs3-devel
BuildRequires:    desktop-file-utils autoconf automake

# Ktechlab requires gputils for PIC simulation.
Requires:         gputils electronics-menu sdcc

%description
KTechlab is a development and simulation environment for microcontrollers
and electronic circuits.

KTechlab consists of several well-integrated components:
A circuit simulator, capable of simulating logic, linear devices and some
nonlinear devices.
* Integration with gpsim, allowing PICs to be simulated in circuit.
* A schematic editor, which provides a rich real-time feedback of the
simulation.
* A flowchart editor, allowing PIC programs to be constructed visually.
* MicroBASIC; a BASIC-like compiler for PICs, written as a companion program
to KTechlab.
* An embedded Kate part, which provides a powerful editor for PIC programs.
* Integrated assembler and disassembler via gpasm and gpdasm.

%prep
%setup -q -n %{name}-0.3.7


chmod +x ./admin/detect-autoconf.pl
%{__rm} -rf autom4te.cache

# Fix for Bug 511578 -  FTBFS ktechlab-0.3.70-1.20090304svn.fc11
%{__sed} -i "s|automake\*1.10\*|automake\*1.11\*|" admin/cvs.sh

%patch0 -p0 -b .multilib

# Upstream already applied this patch
%patch1 -p0 -b .gpsim

# /usr/bin/install: will not overwrite just-created
%{__sed} -i "s|while.png for.png||" icons/pics/Makefile.am

%build

%{__make} -f Makefile.cvs

%configure --disable-rpath
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

desktop-file-install --vendor ""                \
    --remove-category Education                 \
    --remove-category Science                   \
    --delete-original                           \
    --dir %{buildroot}%{_datadir}/applications/ \
    %{buildroot}%{_datadir}/applnk/Development/%{name}.desktop


#fedora-specific : setting default path for sdcc
%{__mkdir} -p %{buildroot}%{_sysconfdir}/profile.d
cat > %{buildroot}%{_sysconfdir}/profile.d/%{name}.sh << EOF
# setting default path for sdcc - fedora
export PATH=\$PATH:%{_libexecdir}/sdcc
EOF
chmod 0755 %{buildroot}%{_sysconfdir}/profile.d/%{name}.sh

# Fix absolute symlink
%{__rm} -f %{buildroot}%{_docdir}/HTML/en/%{name}/common

%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
source %{_sysconfdir}/profile.d/%{name}.sh
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
%{_bindir}/update-desktop-database %{_datadir}/applications || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
%{_bindir}/update-desktop-database %{_datadir}/applications || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING TODO
%doc %{_datadir}/doc/HTML/en/%{name}
%{_bindir}/%{name}
%{_bindir}/microbe
%{_datadir}/apps/%{name}
%{_datadir}/apps/katepart/syntax/microbe.xml
%{_datadir}/config.kcfg/%{name}.kcfg
%{_datadir}/mimelnk/application/*.desktop
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/*.png
%{_sysconfdir}/profile.d/%{name}.sh


%Changelog
* Sat Sep 05 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.3.70-3.200900304svn
- Fixed rawhide built

* Sat Sep 05 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.3.70-2.200900304svn
- Fixed Bug 511578 -  FTBFS ktechlab-0.3.70-1.20090304svn.fc11
- Rebuilt to improve stability : gpsim-0.23

* Wed Mar 04 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.3.70-1.200900304svn
- new svn checkout 238
- included patch from upstream, Julian Bäume, to build on gpsim 0.23

* Sat Jan 31 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.3.69-11.20090131svn
- new svn checkout 175

* Mon Nov 03 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.3.69-10.20081031svn
- added sdcc as Requires

* Sat Nov 01 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.3.69-9.20081031svn
- fixed microcontrollers support
- fixed Bug 469126 -  ktechlab quits when attempting to add a component to a schematic

* Thu Jul 17 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.3.69-8
- fix gcc42 patch to actually apply (remove hunk already applied in 0.3.69)
- adapt Debian g++ 4.3 patch by Georges Khaznadar

* Mon Feb 25 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.3.69-7
- fixed for KDE4

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.3.69-6
- Autorebuild for GCC 4.3

* Sat Sep 08 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.3.69-5
- updated desktop file
- fixed missing icon of bar graph display
- disable rough oscilloscope

* Sat Aug 18 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.3.69-4.20070626svn
- fixed conflict with alliance and changed license

* Mon Aug 13 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.3.69-3.20070626svn
- added sdcc to path

* Tue Jun 26 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.3.69-2.20070626svn
- dropped ktechlab-0.3-ppc-includes.patch (fix in upstream)

* Tue Jun 26 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.3.69-1.20070626svn
- New svn snapshot

* Sun Jun 17 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.3.69-1.20070617svn
- New svn snapshot

* Fri Apr 20 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.3.6-2
- rebuild

* Wed Apr 18 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.3.6-1
- New svn snapshot

* Wed Jan 03 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.3-10 #development release
- New development snapshot - 20070103
- dropped ktechlab-check.patch

* Thu Dec 28 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.3-9 #development release
- uncomment define CHECK in src/electronics/simulation/elementset.cpp

* Wed Dec 27 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.3-8 #development release
- New development snapshot - 20061227

* Mon Dec 25 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.3-7 #development release
- New development snapshot - Providing testing facilities to upstream
- dropped ktechlab-0.3-pic.patch
- package does not ship autom4te.cache anymore
- fixed missing make for src/math

* Wed Nov 22 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.3-6
- Rebuilt due to new gpsim-devel release

* Fri Oct 13 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.3-5
- Try to fix compilation on ppc.

* Mon Sep 25 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.3-3
- Added gputils as requires

* Thu Sep 21 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.3-2
- Removed gputils and gpsim as requires
- Removed autom4te.cache directory
- Owning %%{_datadir}/config.kcfg/
- Removed ldconfig from %%post and %%postun
- Removed gettext, libtool and autoconf as BR

* Fri Sep 15 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.3-1
- Initial package for Fedora Extras.
